Package org.apache.sling.scripting.jsp.taglib

# Class EvalTagHandler

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.sling.scripting.jsp.taglib.EvalTagHandler

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class EvalTagHandler extends javax.servlet.jsp.tagext.TagSupport
The `EvalTagHandler` implements the `<sling:eval>` custom tag.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`EvalTagHandler()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
Called after the body has been processed.
`void`
`setFlush(boolean flush)`
`void`
`setIgnoreResourceTypeHierarchy(boolean flag)`
`void`
`setPageContext(javax.servlet.jsp.PageContext pageContext)`
`void`
`setResource(org.apache.sling.api.resource.Resource rsrc)`
`void`
`setResourceType(String rsrcType)`
`void`
`setScript(String script)`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EvalTagHandler

public EvalTagHandler()

## Method Details

### doEndTag

public int doEndTag() throws javax.servlet.jsp.JspException
Called after the body has been processed.

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
Returns:
  whether additional evaluations of the body are desired
Throws:
  `javax.servlet.jsp.JspException`

### setPageContext

public void setPageContext(javax.servlet.jsp.PageContext pageContext)

Specified by:
  `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `setPageContext` in class `javax.servlet.jsp.tagext.TagSupport`
See Also:
  - `TagSupport.setPageContext(javax.servlet.jsp.PageContext)`

### setFlush

public void setFlush(boolean flush)

### setResource

public void setResource(org.apache.sling.api.resource.Resource rsrc)

### setScript

public void setScript(String script)

### setResourceType

public void setResourceType(String rsrcType)

### setIgnoreResourceTypeHierarchy

public void setIgnoreResourceTypeHierarchy(boolean flag)